gem uninstall: uninitialized constant Gem::RDoc

95 views
Skip to first unread message

Michael Uplawski

unread,
May 24, 2019, 8:15:06 AM5/24/19
to
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

- -----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Good afternoon all...

“All” I write hoping that I am not alone on Usenet...

Somebody wants to use one of my Gems and upon uninstalling an older
version encounters an error that I cannot interpret. Here is the latest
report from this user in form of actually executed calls to gem and the
results on screen. If you have an idea, let us PSE waste some
Internet-ressources on the discussion of this topic... ;) TIA

- - ----------------- SNIP -----------------
$ mv .gem .gem.old

$ gem install --user-install -l Sprichwoerter-1.4.gem
ERROR: Could not find a valid gem 'Sprichwoerter-1.4.gem' (>= 0) \
in any repository

$ wget -q http://www.uplawski.eu/Sprichwoerter/Sprichwoerter-1.4.gem

$ gem install --user-install -l Sprichwoerter-1.4.gem
Successfully installed Sprichwoerter-1.4
1 gem installed

$ gem install --user-install -l Sprichwoerter
Successfully installed Sprichwoerter-1.4
1 gem installed

$ gem list

*** LOCAL GEMS ***

(...)
Sprichwoerter (1.4)
(...)

$ gem install --user-install Sprichwoerter -v 1.3
ERROR: Could not find a valid gem 'Sprichwoerter' (= 1.3) in any repository
ERROR: Possible alternatives: Sprichwoerter

$ gem install --user-install Sprichwoerter -v 1.2
Fetching Sprichwoerter-1.2.gem
Successfully installed Sprichwoerter-1.2
1 gem installed

$ gem list

*** LOCAL GEMS ***

(...)
Sprichwoerter (1.4, 1.2)
(...)

$ gem uninstall --user-install Sprichwoerter -v 1.2
ERROR: While executing gem ... (NameError)
uninitialized constant Gem::RDoc

- - ------------------- END OF REPORT -----------------

- - --
GnuPG rsa3072 2018-09-29 [SC] [expires: 2020-09-28]
C36288CD0571D71B0D7642A1688FE966708A032E
sub rsa3072 2018-09-29 [E] [expires: 2020-09-28]

- -----BEGIN PGP SIGNATURE-----

iQGzBAEBCgAdFiEEw2KIzQVx1xsNdkKhaI/pZnCKAy4FAlzn4BEACgkQaI/pZnCK
Ay6aAgv/fnVZEt0mp1Fvfro9HrwAJl0csqq3WGfpSAu/Ywg9cnwRlZvT8q2+vQQv
rZs4F2U6jyJcA0hAqZOYKKFBT8eMgo/RYKhplavsRBQQUhtvI7E1TxjYUc8TX6At
z3UkUoi+1+D6Os4ovUxB5DvPNA8Ncb2vv07o+hrggxQlOJwqH7qvG3myw3gi29KF
3usAhbWNMl1w8VtbLv/LjRSZ/J99CEK3aEcf5Eh1+9nNKuFVPFo7NCQ9drI9Lv+J
krZJuLDaVcA6EVC9fyEqj8iL/SVybr1yTPfEPVHRa2NmMg7QmTHQfGqZIeeGCLk7
R/kiAyqodm6I6z3hdzJDdra68e6DoTQbHMxEBbbZU5d9cLw+zxKh5G1yL64Wqxuy
Vd8c1sBCzw7KWCeobt1bAcVezDK4IKQl/HB+Z6DCkIQ6f0aeBnBzWX6Ki2F2sp1c
SRuCXrwc4G0T68iCiipOe+DX3SxGgmvN679D07laPLu3yWf4j73FABF4fddVDgos
fABkA4HE
=1Abt
- -----END PGP SIGNATURE-----

-----BEGIN PGP SIGNATURE-----

iQGzBAEBCgAdFiEEw2KIzQVx1xsNdkKhaI/pZnCKAy4FAlzn4D0ACgkQaI/pZnCK
Ay5VjAv+PCFpVvc8au2adC+q1EscPw/c/nAtJpAuiuDSCuN4g7KX1l564awyXpNn
nzZ3JxCTNkIzrTXVmUrGXcX5g8jz02WY30dz5agAjbZJghn6Ur56kp0TemB5f2na
4fipWhpSpnzARXIsabw3IWIaeXA/8WuOMV8WG0lWcrNaxphoe/c/l/B+XesJPwDH
MiDicKnj9Hj6Q9hfS5XsDMtFkL7AdNcqpgDUggaPynwb50wtM0pABsbNkIAfcXdq
47T6wB7MXTilH2C6MAIyOBmv32LJjr7sqIYgIfL1iCs+pq27k8L+Fm86sAUOvjwJ
KDutBaBgeEkCVv/ZWjaGvh/GeyPkCFoDTF1tTDCv0uE6A6B0+E9mR/f3os4E7RYU
K25fGFFGMwf40FUbdHJk+CaoLYMIZ9q/WdiRakJ78NL0/L/+KMka9hj9Qhqk+5kJ
grfzioeQC5yXFFLppBT+K66NmHBT3rwdPY31yEjQIxuEzlRJRxNx1RGm6yjRqhJB
T8BFp+PV
=xuMm
-----END PGP SIGNATURE-----

sam.ch...@gmail.com

unread,
Jun 24, 2020, 8:39:12 PM6/24/20
to
Did you ever solve this by any chance? Without fail whenever I have to use ruby/gem to install things, it's a PITA. I can't uninstall anything because of this issue..
Reply all
Reply to author
Forward
0 new messages